using System;

internal sealed class Delegate524 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate524 delegate524_1)
	{
		return delegate524_1();
	}

	public extern Delegate524(object object_0, IntPtr intptr_0);

	static Delegate524()
	{
		Class10.smethod_13(typeof(Delegate524).TypeHandle);
	}

	internal static Delegate524 delegate524_0;
}
